module PersonalWriting
  class Engine < ::Rails::Engine
  	initializer "personal_writing" do
		OrbitApp.registration "PersonalWriting",:type=> 'ModuleApp' do
			module_label 'module_name.personal_writing'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '30', :app_name=>"Writing", :intro_app_name=>"PersonalWritingIntro",:path=>"/plugin/personal_writing/profile",:front_path=>"/profile",:admin_path=>"/admin/writings",:i18n=>'module_name.personal_writing', :module_app_name=>'PersonalWriting', :analysis=> true, :analysis_path => "/admin/writings/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

      frontend_enabled
      icon_class_no_sidebar "icons-user"
      data_count 1..10
		end
	end
  end
end
