$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "personal_writing/version"
app_path = File.expand_path(__dir__)
template_path = ENV['PWD'] + '/app/templates'
all_template = Dir.glob(template_path+'/*/')
puts 'copying module'
all_template.each do |folder|
  if !folder.include?('mobile')
    if folder.split('/')[-1] != 'mobile'
      begin
        system ('cp -r '+ app_path + '/modules/. ' + folder+'/modules/.')
        puts "finish copy module personal_writing to #{folder}"
      rescue
        puts "error copy module personal_writing in #{folder}"
      end
    end
  end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "personal_writing"
  s.version     = PersonalWriting::VERSION
  s.authors     = ["Ruling Digital"]
  s.email       = ["orbit@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Personal Writing module of Orbit"
  s.description = "Orbit Modules Personal Writing Module"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]
end
